> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kno2 message by ID

> Retrieve a specific message for a Kno2 connection.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/integrations/kno2/{slug}/messages/{messageId}
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/kno2/{slug}/messages/{messageId}:
    get:
      tags:
        - Integration - Kno2
      summary: Get Kno2 message by ID
      description: Retrieve a specific message for a Kno2 connection.
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
          description: The slug of the Kno2 connection.
        - schema:
            type: string
          in: path
          name: messageId
          required: true
          description: The ID of the message to retrieve.
      responses:
        '200':
          description: Message retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message: {}
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Kno2 connection or message not found.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error.
                required:
                  - error
                additionalProperties: false

````